import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.Timestamp;

public class ResetICWExecutedFlag {
    //URL for embedded derby
    private static String dbURL = "jdbc:derby:/opt/tivoli/tsm/AC/ISCW61/derby/db/fsccdb;user=tiamguiusername;password=DbPas4Gui;";
    // jdbc Connection
    private static Connection conn = null;
    private static Statement stmt = null;

    private static void createConnection() {
        try {
            Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
            //Get a connection
            conn = DriverManager.getConnection(dbURL);
        } catch (Exception except) {
            except.printStackTrace();
        }
    }


    private static String readICWExecutedFlag() {
        String value = "";
        try {
            stmt = conn.createStatement();
            ResultSet results =
            stmt.executeQuery("select VALUE, ENABLED, LAST_UPDATE  from " + " TIAM.TIAM_SETTINGS" + " where ID='initialConfigWizardExecuted'");
            while(results.next()) {
		value = results.getString("VALUE");
                String enabled = results.getString("ENABLED");
		// Date dt = results.getDate("LAST_UPDATE");
                Timestamp tst = results.getTimestamp("LAST_UPDATE");
                System.out.println(value + "\t\t\t\t" + enabled + "\t" + tst);
            }
            results.close();
            stmt.close();
        } catch (SQLException sqlExcept) {
            sqlExcept.printStackTrace();
        }
        return value;
    }

    private static void updateICWExecutedFlag() {
        try {
            stmt = conn.createStatement();
            stmt.executeUpdate("UPDATE TIAM.TIAM_SETTINGS SET VALUE='N' where ID='initialConfigWizardExecuted'");
            stmt.close();
        } catch (SQLException sqlExcept) {
            sqlExcept.printStackTrace();
        }
    }


    private static void shutdown() {
        try {
            if (stmt != null) {
                stmt.close();
            }
            if (conn != null) {
                conn.close();
                DriverManager.getConnection("jdbc:derby:;shutdown=true");
            }
        }
        catch (SQLException sqlExcept) {
            System.out.println(sqlExcept.getMessage());
            System.out.println("Above error message is normal when derby was shutdown!");
        }

    }

    public static void main(String[] args) {
        createConnection();
        readICWExecutedFlag();
        updateICWExecutedFlag();
	readICWExecutedFlag();
        shutdown();
    }
}

