#!/bin/bash

before_signature_context=0
after_signature_context=0
source $1

echo "Using Signature Version "$SIGNATURE_VERSION

target_num=0
num_found=0
for signature_target in $signature_targets; do
	echo "Examining $signature_target"
        if [ ${#signature_target} -ge 4 -a ${signature_target:(-4)} == ".bz2" ]; then
                #The signature target is bzipped.
                bzcat "$signature_target" | grep -B $before_signature_context -A $after_signature_context -n "$signature"
                grep_rc=$?
        else
                grep -B $before_signature_context -A $after_signature_context -n "$signature" "$signature_target"
                grep_rc=$?
        fi
        if [ $grep_rc -eq 0 ]; then
                num_found=$((num_found+1))
        fi

done

if [ $num_found -gt 0 ]; then
	echo ""
	echo "Found signature for $1 in $num_found logs"
        exit 1
else
	echo ""
	echo "No signature for $1 detected in specified logs"
        exit 0
fi
