#!/usr/bin/python
#
#******************************************************************************
#  Licensed Materials - Property of IBM
#
#  (C) Copyright IBM Corp.  2008  All Rights Reserved
#
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
# -----------------------------------------------------------------------------
# 
# =========================================================================
# 
# Name: 
#
# Change Log:
#  Date          developer           change
#  05/18/2009     Bryan Jen           Initial script creation
#******************************************************************************

import sys
import re
import socket
import time
from string import *
from telnetlib import Telnet

TELNET_HOST = ""
TELNET_PROMPT = "C:\\>"
NEWLINE = "\r\n"
TIMEOUT = 5
REMOVEJUNK = 1   #Remove Telnet output junk (formating chars?) before printing

log = sys.stdout

site="primary"

def printRead(texte):
 if not REMOVEJUNK:
  log.write(texte)
 else:
  p = re.compile( '(.\[[0-9]{1,2};[0-9]{1,2}H[0-9]?|.\[K)+')
  log.write(p.sub('\n', texte))

 sys.stdout.write(".")
 log.flush()
 sys.stdout.flush()



def checkCopy(textr):
  printRead(textr)
  if textr.find("rror") != -1:
    tn.write("exit"+NEWLINE)
    tn.close()
    log.write("\n Could not copy config files onto switch, is the tftp server running?")
    log.close()
    sys.exit("\n Could not copy config files onto switch, is the tftp server running?")
	
	
for arg in sys.argv:
  if arg in ['remote']:
    site=arg


for s in [1, 2]:
  switch=s
  ip="smc"+str(s)

  port=23
  timeout=10

  tn=Telnet()
  text=""
  print "Attempting to establish a session with " + ip
  log.write( "Attempting to establish a session with " + ip)
  try:
    tn.open(ip)
  
  except socket.error, e:
    log.write("Unable to connect to "+ip)
    log.close()
    sys.exit("Unable to connect to "+ip)

  print "Connection established"
  log.write("\nConnection established\n")
  while len(text) <= 2:
    text=tn.read_until("Username:", 5)
    #print text

  if text.find("Username:") != -1:
    tn.write("admin" + NEWLINE)
    printRead(tn.read_until("Password:", TIMEOUT))
    tn.write("ia0Ether" + NEWLINE)
    #Login invalid
    text=tn.read_until("Vty-0#", TIMEOUT)
    printRead(text)
    if text.find("Login invalid") != -1:
      tn.close()
      log.write("\n" + ip + ": Not SMC Ethernet switch\n")
      log.close()
      sys.exit("\n" + ip + ": Not SMC Ethernet switch\n")

    tn.write("copy file startup"+NEWLINE)
    printRead(tn.read_until("Source configuration file name:", TIMEOUT))
    tn.write(site+"_switch"+str(switch)+".cfg"+NEWLINE)
    printRead(tn.read_until("Startup configuration file name [startup1.cfg]:",TIMEOUT))
    tn.write("startup1.cfg"+NEWLINE)
    printRead(tn.read_until("Vty-0#",15))
    tn.write("reload"+NEWLINE)
    printRead(tn.read_until("System will be restarted, continue <y/n>?",TIMEOUT))
    tn.write("y"+NEWLINE)
    printRead(tn.read_until("Session wait for rebooting.", TIMEOUT))
    tn.close()

   # for i in range (1, 10):	#gives us 10 minutes
    #  sys.stdout.write(".")
    #  sys.stdout.flush()
    if s == 1:
      sys.stdout.write("\n")
      sys.stdout.flush()
      time.sleep(300)
      continue
    else:
      for i in range (1, 5):
        time.sleep(60)
  
        try:
          tn.open(ip)
          break
        except socket.error, e:
          continue
        tn.close()

  #  else:
     # log.write("Set Switch Config process for"+ip+" unsuccessful\n")
     # log.close()

 #   tn.close()
  #  sys.stdout.write("Set Switch Config process for"+ip+" successful\n")
   # log.write("Set Switch Config process for"+ip+" successful\n")
   # log.close()
	
  else:
    tn.close()
    log.write("\n" + old + ": Not SMC Ethernet switch\n")
    log.close()

for i in [1, 2]:
  swip="smc"+str(i)
  try:
    tn.open(swip)
    log.write("Switch Config of "+swip+" successfully set\n")
    continue
  except socket.error, e:
    log.write("Switch Config of "+swip+" unsuccessfully set\n")
    continue
