#!/usr/bin/python
# ############################################################
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2009
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication,
# or disclosure restricted by GSA ADP Schedule Contract with
# IBM Corporation.
#
#
# Change Log
# ============================================
# 4/15/2010                Bryan Jen               Script creation
#
#############################################################

import sys
import re
import socket
import commands
import os 
import time
import getopt
import tiam_util
import drutils

from string import *
from telnetlib import Telnet

HOSTSFILE="/etc/hosts"
MAXCOLS=26
MMPATH="/usr/lpp/mmfs/bin/"
DRLOG="/opt/tivoli/tiam/log/dr/"
LOGFILE=DRLOG+"ia_convert_col_to_1_2.out"
SCRIPTNAME="ia_convert_col_to_1_2"
iAm=commands.getoutput("cat /etc/HOSTNAME")
subnet=commands.getoutput("/usr/bin/grep -w iamconsole1 /etc/hosts | grep -v pwr |/usr/bin/awk '{print $1}' |/usr/bin/cut -d. -f1,2")
isSec=commands.getoutput("/opt/tivoli/tiam/bin/isSecondary.py")
getuid=commands.getoutput("/usr/bin/grep \"/tiam/\" /etc/passwd | /usr/bin/cut -d: -f1")
uids=getuid.split('\n')
getcol=commands.getoutput("/usr/bin/grep \"/tiam/\" /etc/passwd | /usr/bin/cut -d: -f5")
cols=getcol.split('\n')
getnodes=commands.getoutput(MMPATH+"mmgetstate -a |/usr/bin/grep ianode|/usr/bin/awk '{print $2}'")
nodes=getnodes.split('\n')


def addHostsToHostsFiles():
  #Update Hosts Files
  for n in range(0, len(nodes)):
    if nodes[n] != iAm:
      cmd=commands.getoutput("ssh root@"+nodes[n]+" /bin/cp /etc/hosts /etc/hosts.old")
      drutils.printAndLog(SCRIPTNAME, logfile, "Updating hosts file on "+nodes[n])

      for c in range(1,MAXCOLS):
        hostthere=commands.getoutput("ssh root@"+nodes[n]+" \'/usr/bin/grep -w ia_tsm_server_"+str(c)+" /etc/hosts >/dev/null;/bin/echo $?\'")
        if hostthere != "0":
          cmd=commands.getoutput("ssh root@"+nodes[n]+" \'/bin/echo -e \""+subnet+".4."+str(c)+"\t\tia_tsm_server_"+str(c)+"\" >> /etc/hosts\'")
    else:
      drutils.printAndLog(SCRIPTNAME, logfile,  "Updating hosts file on "+iAm)
      os.system("/bin/cp /etc/hosts /etc/hosts.old")
      for c in range(1,MAXCOLS):
        hostthere=commands.getoutput("/usr/bin/grep -w ia_tsm_server_"+str(c)+" /etc/hosts >/dev/null;/bin/echo $?")
        if hostthere != "0":
          os.system("/bin/echo -e \""+subnet+".4."+str(c)+"\t\tia_tsm_server_"+str(c)+"\" >> /etc/hosts")
  for serv in ['iamconsole1']:
    cmd=commands.getoutput("ssh root@"+serv+" /bin/cp /etc/hosts /etc/hosts.old")
    drutils.printAndLog(SCRIPTNAME, logfile, "Updating hosts file on "+serv)
    for c in range(1,MAXCOLS):
      hostthere=commands.getoutput("ssh root@"+serv+" \'/usr/bin/grep -w ia_tsm_server_"+str(c)+" /etc/hosts >/dev/null;/bin/echo $?\'")
      if hostthere != "0":
        cmd=commands.getoutput("ssh root@"+serv+" \'/bin/echo -e \""+subnet+".4."+str(c)+"\t\tia_tsm_server_"+str(c)+"\" >> /etc/hosts\'")

        
os.system("/bin/mkdir -p /opt/tivoli/tiam/log/dr")
logfile = open(LOGFILE, "w", 0) 

if iAm.find("ianode") != 0:
  print "This utility must be run on a NODE server."
  sys.exit(-1)

if isSec != "False":
  drutils.printAndLog(SCRIPTNAME, logfile,  "This is a DR Secondary...only updating hosts files")
  addHostsToHostsFiles()
  sys.exit(0)

if len(cols) == 1 and cols[0] == "":
  drutils.printAndLog(SCRIPTNAME, logfile,  "No Collections found...only updating hosts files")
  addHostsToHostsFiles()
  sys.exit(0)

  
for c in range(0,len(cols)):
  enabled=commands.getoutput("/opt/tivoli/tiam/bin/mw_print_xml_field collection/enabled /tiam/"+cols[c]+"/utility/config/collection.xml")
  if enabled != "false":
    drutils.printAndLog(SCRIPTNAME, logfile, cols[c]+" is not suspended")
    sys.exit(-2)

#Update /etc/hosts
#if iAm == "ianode1":
addHostsToHostsFiles()

#Stop middleware
os.system("/opt/tivoli/tiam/bin/ia_controlmiddleware.sh -stop")

#Work Through Collections
for c in range(0,len(cols)):
  drutils.printAndLog(SCRIPTNAME, logfile, "Starting Conversion of TSM Server for "+cols[c])
  serverip=commands.getoutput("/usr/bin/grep tcpserveraddress /tiam/"+cols[c]+"/tsm/dsm_sys_entry.txt | /usr/bin/grep -v localhost |/usr/bin/awk '{print $2}'")
  drutils.printAndLog(SCRIPTNAME, logfile, cols[c]+" TSM Server IP "+serverip)
  if serverip.find("ia_tsm_server") == 0:
    updated=commands.getoutput("/usr/bin/grep -w "+serverip+" /opt/tivoli/tsm/client/ba/bin/dsm.sys >/dev/null ; /bin/echo $?")
    if updated == "0":
       drutils.printAndLog(SCRIPTNAME, logfile, "TSM already updated. Skipping conversion")
       continue
    else:
       hostname=serverip
       ip=commands.getoutput("/usr/bin/grep -w "+serverip+" /etc/hosts | /usr/bin/awk '{print $1}'")
       serverip=ip
       
  else:
    serversuffix=commands.getoutput("/bin/echo "+serverip+" |/usr/bin/cut -d. -f3,4")
    hostname=commands.getoutput("/usr/bin/grep -w 172.\*."+serversuffix+" /etc/hosts | /usr/bin/awk '{print $2}'")
  drutils.printAndLog(SCRIPTNAME, logfile, cols[c]+" TSM Server hostname "+hostname)

  
  drutils.printAndLog(SCRIPTNAME, logfile, "Updating TSM Server on "+iAm)
#if iAm == "ianode1":
  os.system("/usr/bin/sed -i s/\'"+serverip+"\'/"+hostname+"/g /tiam/"+cols[c]+"/tsm/dsm_sys_entry.txt")
  os.system("/usr/bin/sed -i s/\'"+serverip+"\'/"+hostname+"/g /tiam/"+cols[c]+"/utility/config/collection.xml")
  os.system("/usr/bin/sed -i s/tsmserverip/tsmserverhostname/g /tiam/"+cols[c]+"/utility/config/collection.xml")
  #all nodes do the below
  os.system("/usr/bin/sed -i s/\'"+serverip+"\'/"+hostname+"/g /opt/tivoli/tsm/client/ba/bin/dsm.sys")
  os.system("/bin/echo set serverhla "+hostname+" > /tmp/migratetsm")
  os.system("/opt/tivoli/tiam/bin/ia_controlmiddleware.sh -stop")
  os.system("su - "+uids[c]+" -c \"/opt/tivoli/tsm/server/bin/dsmserv runfile /tmp/migratetsm\"")

#Start middleware
os.system("/opt/tivoli/tiam/bin/ia_controlmiddleware.sh -start")

#Update MC stuff
#if iAm == "ianode1":
tsmstartip=commands.getoutput("ssh root@iamconsole1 /usr/bin/grep serverIpStart /home/iaadmin/.tiam/application.properties | /usr/bin/cut -d= -f2")
tsmstarthostname="ia_tsm_server_1"
if len(tsmstartip) > 1:
  os.system("ssh root@iamconsole1 /usr/bin/sed -i s/\'"+tsmstartip+"\'/"+tsmstarthostname+"/g /home/iaadmin/.tiam/application.properties")
os.system("scp /opt/tivoli/tsm/client/ba/bin/dsm.sys root@iamconsole1:/opt/tivoli/tsm/client/ba/bin/dsm.sys")
#os.system("ssh root@iamconsole1 /opt/tivoli/tiam/bin/ia_restart_ui_service.sh")

#drutils.printAndLog(SCRIPTNAME, logfile,  "You may now resume collection")
sys.exit(0)
