#!/usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IBM IA)
#
# Copyright IBM Corporation 2008, 2009
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###
#------------------------------------------------------------------------------
#
#  Name: ia_cp_recover_mc.py
#
#
# Script that transfers the Management Console backup from tiam_utility to the Management Console.
# Parameters: none
#------------------------------------------------------------------------------


import commands
import os
import filepathChecker
import drutils
import sys
import string

if filepathChecker.checkFilepath("/tiam_utility/backup/console/mcconfig*") == False:
   print "ERROR: Cannot find any backup files in /tiam_utility/backup/console/"
   os._exit(1)

console = commands.getoutput("cat /etc/hosts |grep console |grep -v pwr | awk '{print $2}'")
pingtest = "ping " + console + " -c 1 > /dev/null 2>&1;echo $?"
out = commands.getoutput(pingtest)
if out != "0":
  print "ERROR: "+ console + " is Unreachable. Check network connections and retry."
  os._exit(2)
else:
  MCret = drutils.putFilesBack()
  if MCret != 0:
    print "ERROR: Failed to transfer files to Management Console Server. \nPlease check status of management console server. Exiting Script."
    os._exit(3)
  else:
    print "Files successfully transferred to Management Console Server."
    os._exit(0)

