#!/bin/bash
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#
# Licensed Materials - Property of IBM
#          
# 5608-IAF - IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#          
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited
# with the U.S. Copyright Office
#
########################################################## {COPYRIGHT-END} ###

usage(){
        echo "Usages:"
        echo "ia_compliance_security_esapatch_uninstaller.sh "
        echo " OR "
        echo "ia_compliance_security_esapatch_uninstaller.sh -d debugoption "
	echo "The opton -d debugoption will specify the debug level for output log file"
	echo "The option for -d is one of  [DEBUG, INFO, WARNING, ERROR, CRITICAL]"
}

function check_debug_options() {
	local debug_level_values=("DEBUG" "INFO" "WARNING" "ERROR" "CRITICAL")
	local rightdebuglevel=1
	for level in ${!debug_level_values[*]}
	do
		if [ "$1" = "${debug_level_values[$level]}" ]; then
			rightdebuglevel=0
		fi
	done
	if [ $rightdebuglevel -ne 0 ]; then
		echo "Missed or wrong debug options!" 
		usage	
		exit 1
	fi
}

currentUser=`whoami`
if [ $currentUser != "iaadmin" ]; then
	echo "Only the user iaadmin can run this command!"
	exit 1
fi 

while getopts "hd:" OPTION
do
        case $OPTION in
                h) usage; exit 1;;
                a) ;;
                d) check_debug_options $OPTARG ;;
                [?]) usage; exit 1;;
        esac
done

if [ -f /opt/tivoli/tiam/bin/iaESAPatchUninstall.py ]; then
	sudo /opt/tivoli/tiam/bin/iaESAPatchUninstall.py "$@"
else
	echo "No ESA patch installed!"
	exit 0
fi