#!/usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IBM IA)
#
# Copyright IBM Corporation 2008, 2009
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###
#------------------------------------------------------------------------------
# Filename: ia_restore_gpfs.py
#
# Component: DR
#
# Description: Restores GPFS from IA Recovery Lun for Node Repair/Replacement.
#
#------------------------------------------------------------------------------

import commands
import os 
import time
import sys
import string
import drutils

def retrieveGPFSConfig():
  recLUN = drutils.locateRecoveryLun()

  if len(recLUN) == 0:
    print "ERROR: Cannot find Recovery Lun"
    sys.exit(1)
  elif recLUN.find("dm") == -1:
    print "ERROR: No Recovery LUN found in devices list"
    sys.exit(1)
  else:
    cmd = "tar xf /dev/" + recLUN + " -C /tmp 1>/dev/null"
    tarRet = commands.getoutput(cmd)
    if tarRet.find("fail") != -1:
      print "ERROR: Untar failed with " + tarRet
    cmd = "ls /tmp/tiam_utility/backup/gpfs/mmsdrfs*"
    output = commands.getoutput(cmd)
    if len(output) == 0:
      print "ERROR: No backup files found"
      sys.exit(1)
    files = output.split('\n')
    latestFile = files[len(files)-1]
    
    print "Applying " + latestFile
    cmd = "/usr/lpp/mmfs/bin/mmsdrrestore -F " + latestFile + " -N " + iAm 
    output = commands.getoutput(cmd)
    if output.find("fail") != -1:
      print output
      print "mmsdrrestore of " + latestFile + " failed"
 
iAm = commands.getoutput("cat /etc/HOSTNAME")

retrieveGPFSConfig()

os.system("/usr/lpp/mmfs/bin/mmstartup")
cmd = "echo $?"
out = commands.getoutput(cmd)
if out != "0":
  print "Startup of GPFS failed. Please reboot and verify GPFS has been started."
  sys.exit(1)
else:
  print "GPFS Successfully restored on " + iAm
  sys.exit(0)
