#!/bin/bash
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#
# Description:
#    ia_run_san.sh is a wrapper script which telnets into the SAN switches and collects
#       problem determination information.  This script runs only on the MC node.
#
# Syntax:
#    sudo ia_run_san.sh
#
# Results:
#    Creation of output in /home/iaadmin/logs
#
# Change history
#   Modifier      Date         CQ Change       Description
#   -----------------------------------------------------------------------------------
#   Brad Trubey   12/13/2010   TIAM000017174   Initial Creation
# *************************************************************************************

BASE_DEST_DIR=/home/iaadmin/logs/`hostname`
DEST_DIR=$BASE_DEST_DIR/SAN_switch

# Move the results to the MC iaadmin home dir
rm -Rf    $DEST_DIR
mkdir -p  $DEST_DIR
chmod 755 $DEST_DIR

# Run the collect command
/opt/tivoli/tiam/bin/snmp_config/ia_telnet_san_logs.py brocade1 $DEST_DIR/brocade1.log
/opt/tivoli/tiam/bin/snmp_config/ia_telnet_san_logs.py brocade2 $DEST_DIR/brocade2.log

chown -R iaadmin:users /home/iaadmin/logs
echo "Log files are located on the Management Console node under directory $DEST_DIR"
