#!/bin/bash
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#
# Filename: iamodifymenulst.sh
#
# Component: RAS
#
# Description:
#    This file creates the /boot/grub/menu.lst file
#
# Change history
#   Modifier                     Date                     CQ Change
#   ---------------------------------------------------------------------------
#   Eric Biesterfeld       08-20-2009        TIAMC00008428
#     Initial creation
#------------------------------------------------------------------------------

MENULST=/boot/grub/menu.lst
MENULSTBAK=/boot/grub/menu.lst.prod
KERNEL_LINE=`grep kernel $MENULST | head -1`
INITRD_LINE=`grep initrd $MENULST | head -1`

# If the backup file exists, the license acceptance has already run. Exit.
if [[ -e $MENULSTBAK ]]; then
   exit 0;
fi

#Create a backup.
cp $MENULST $MENULSTBAK

# The first line overwrites the previous menu.lst. The rest append.
echo "# Modified by modifymenulist.sh. Last modification on `date`" > $MENULST
echo "default 0" >> $MENULST
echo "timeout 0" >> $MENULST
echo "hiddenmenu" >> $MENULST
echo "" >> $MENULST
echo "###Don't change this comment - YaST2 identifier: Original name: linux###" >> $MENULST
echo "title SUSE Linux Enterprise Server 10 SP2" >> $MENULST
echo "    root (hd0,1)" >> $MENULST
echo $KERNEL_LINE >> $MENULST
echo "" >> $MENULST
echo $INITRD_LINE >> $MENULST
echo "" >> $MENULST
