#! /usr/bin/env python
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#

import getopt
import sys, string, os, subprocess
from syslog import *

class ResetPasswordHandler:
    listOfSupportedUsers = ["rsmadminconsole"]

    def __init__(self, theNameOfUser):
        self.userName = theNameOfUser
    #end if

    def resetPassword(self):
        if not (self.userName in ResetPasswordHandler.listOfSupportedUsers):
            print "Cannot reset passowrd for %s!" %(self.userName)
            syslog(LOG_ERR, "Cannot reset passowrd for %s!" %(self.userName))
            return
        #end if
        #1. Reset rsmadminconsole
        if self.userName == "rsmadminconsole":
            self.resetrsmadminconsole()
        #end if
    #end def

    def resetrsmadminconsole(self):
        resetcmd = "sudo usermod -p '$2a$10$iGR41v9XHOHcY1VeQP8NQuSE323SeAiOwF54RUKEcF6oQWmmhzJ6m' rsmadminconsole"
        exitcode, output = callsyscmd(resetcmd)
        if exitcode == 0:
            print "The password was reset to factory value for user %s" %(self.userName)
            syslog(LOG_INFO, "The password was reset to factory value for user %s" %(self.userName))
        else:
            for line in output:
                print "------" + line
                syslog(LOG_DEBUG, "------" + line)
            print "Failed to reset password for user %s" %(self.userName)
            syslog(LOG_ERR, "Failed to reset password for user %s" %(self.userName))
    #end def

#end class

def callsyscmd(cmd):
    """
    all cmd and return status output as a list of lines
    """

    TRACE_LINES = 10
    process = subprocess.Popen(cmd, stdout=subprocess.PIPE,stderr=subprocess.STDOUT, shell=True)
    pid, exitcode = os.waitpid(process.pid, 0)
    output = process.stdout.readlines()
    #print output

    """
    if exitcode == 0:
        for line in output:
            print line[len(line)-1]
    """

    if (exitcode != 0):
        lnr = 0
        for line in output:
            if lnr > TRACE_LINES:
                break
            syslog(LOG_ERR, line)
            lnr += 1
    return exitcode, output
#end def

def main():
    try:
        opts, args = getopt.getopt(sys.argv[1:], "u:")
        if len(opts) > 1:
            raise GetoptError("Too many options!")
    except getopt.GetoptError, err:
        print err
        usage()
        sys.exit(1)
    #end try

    userName = "rsmadminconsole"
    if len(opts) != 0:
        userName = opts[0][1]
    #end if

    resetpasswd = ResetPasswordHandler(userName)
    resetpasswd.resetPassword()
#end def

def usage():
    print '\nUsages:'
    print 'The default user is rsmadminconsole if no user name specifief from command line'
    print 'iapasswdreset'
    print 'iapasswdreset -u rsmadminconsole'

if __name__ == "__main__":
    main()

