#!/bin/bash
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#
# Filename: isBconfig.sh
#
# Component: RAS
#
# Description:
#    This determines if the node has been configured as a 'B' configuration
#    for Enhanced Remote Mirror.  It looks at the IP of the node.  If the
#    2nd octet is 31, then it is a 'regular' or 'primary' appliance.  If it
#    is 30, then it is a 'secondary' or 'B' configuration.
#
# Change history
#   Modifier        Date    CQ Change     Description
#   ---------------------------------------------------------------------------
# Linda Benhase     3/10/10 TIAMC00012165 Initial creation.
#   ---------------------------------------------------------------------------


# Grab the 2nd octet of the IP
IP=`hostname -i | cut -d. -f2`

# Test 2nd octet for 'B' configuration and echo "True" to stdout and exit with 0
if [ $IP == "30" ]; then
    echo "True"
    exit 0
fi

# Otherwise, echo "False" to stdout and exit with 1
echo "False"
exit 1

