#!/bin/bash

VERSION="0.2"

ROOT_EUID=0

if [ $EUID -ne $ROOT_EUID ]; then
        echo "This program must be run as root. Your effective uid is $EUID."
        exit -1
fi

echo ""
echo "Running MAD: Mark's Anti-Defect v."$VERSION

SIGNATURES_DIR="/opt/tivoli/tiam/lib/diagnostics/mad/signatures"
DEFECT_FINDER="/opt/tivoli/tiam/bin/defect_finder.sh"

for defect_signature in `ls $SIGNATURES_DIR`; do
	echo ""
        echo "Searching for $defect_signature"
	$DEFECT_FINDER $SIGNATURES_DIR/$defect_signature
        finder_rc=$?
        if [ $finder_rc -ne 0 ]; then
                echo "Found defect $defect_signature"
        fi
done

echo ""
