#!/bin/sh
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2010
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Workload Manager
# *
# * FILE NAME:       mw_controlerrors.sh
# *
# * DESCRIPTION:     Defines environment variables that are expected to be set
# *                  by middleware scripts.
# *                  This script is not intended to be executed
# *                  from the command line.
# *
# * AUTHOR:          Lucas C. Villa Real
# *                  IBM Almaden Research Center
# *                  lucasvr@us.ibm.com
# *
# ****************************************************************************
# */

if [ `basename $0` = "mw_environment.sh" ]; then
    script_name=`basename $0`
    echo "error: The script '$script_name' is not intended to be executed"
    echo "       directly on the command line. This script only provides" 
    echo "       functions common to other IIA scripts."
    exit 127
fi

export COLUMNS=
export LINES=
