#! /usr/bin/env python
# *************************************************************************************
# * Licensed Materials - Property of IBM
# * IBM Information Archive 2.1.0.0.efix_1
# *
# * (C) Copyright IBM Corp. 2008, 2009, 2010. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# * All files within this archive are protected by IBM's copyright.
# *************************************************************************************
#

import getopt, sys, os, time
import md5
from tiam_util import *
from logcollector_util import *


def usage():
    exitmsg('usage: ' + sys.argv[0] + ' -l logdir -h hostname [-c on/off][-g on/off]', 1)


def main():
    #get global config from tiam_util
    config = get_global_config()

    #read the command line
    try:
        opts, args = getopt.getopt(sys.argv[1:], "l:c:g:h:")
    except getopt.GetoptError:
        usage()

    #option flags
    create_archive = False
    use_gpfs = False
    hostname = syscallreadhide( "hostname", "")[0].strip()
    logdir = "/tmp/logcollection_node"
    datestamp = time.strftime('%Y%m%d%H%M', time.gmtime())
    for opt, arg in opts:
        if opt in ("-l"):
            logdir = arg
        elif opt in ("-h"):
            hostname = arg
        elif opt in ("-c"):
            if arg == "on":
                create_archive = True
        elif opt in ("-g"):
            if arg == "on":
                use_gpfs = True
        else:
            exitmsg("unhandled option", 1)

    logdir = logdir + "/" + hostname
    infodir = logdir + "_info"
    startmarker = infodir + "/begin.txt"
    endmarker   = infodir + "/end.txt"
    progressfile = infodir + "/progress.txt"

    display_progress( progressfile)
    if not( instance_running( startmarker, endmarker)):
        return 0
    else:
        return 1


if __name__ == "__main__":
    do_main( main)

