#! /usr/bin/env python
########################################################## {COPYRIGHT-TOP} ###
# IBM Confidential
#  
# Licensed Materials - Property of IBM
#  
# 5608-IAF - IBM Information Archive (IIA)
#  
# Copyright IBM Corporation 2008, 2009, All Rights Reserved
#  
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been deposited 
# with the U.S. Copyright Office
# 
########################################################## {COPYRIGHT-END} ###
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Solr Server Manager
# *
# * FILE NAME:       ssm_defines.py
# *
# * DESCRIPTION:     Collection of defines/functions for the Solr Server Mgr
# *
# * AUTHOR:          K.W.Brannon
# *                  IBM Almaden Research Center
# *                  kbrannon@us.ibm.com
# *
# *
# ****************************************************************************
# */

SSM_LOG_IN = "in"
SSM_LOG_SSM = "ssm"
SSM_LOG_INXC_DELETE = "inxc_delete"
SSM_LOG_INXC_INGEST = "inxc_ingest"
SSM_LOG_PATH = "/tiam_utility/log"
SSM_LOG_INLOG = "IA_INLog"
SSM_LOG_INTRACE = "IA_INTrace"
SSM_LOG_SIZE = 1 * (1024**2)              #1 MB log size, since we have 100 of them
SSM_LOG_BACKUPS = 1
SSM_LOG_DEFAULT_TRACELEVEL = "3"
SSM_LOG_DEFAULT_LOGLEVEL = "3"
SSM_SOLR_LOG_PROPERTIES_FILE = "solr_logging.properties"
SSM_SOLR_LOG_LEVELS = ['NONE', 'SEVERE', 'WARNING', 'INFO']
SSM_ROOTUID = 0
SSM_MMFSBIN = "/usr/lpp/mmfs/bin"
SSM_SOLRSERVER_INTERFACE_ALIAS_PREFIX = "I"
SSM_JAVA_BIN = "/opt/ibm/java2-x86_64-50/jre/bin/java"
SSM_IA_INSTALL_DIR = "/opt/tivoli/tiam"
SSM_IA_INSTALL_LIB = SSM_IA_INSTALL_DIR +"/lib"
SSM_IA_INSTALL_BIN = SSM_IA_INSTALL_DIR +"/bin"
SSM_SOLR_REL = "apache-solr-1.4.0"
SSM_SOLR_INSTALL_DIR = SSM_IA_INSTALL_LIB +"/index/solr/" +SSM_SOLR_REL
SSM_JETTY_HOME = SSM_SOLR_INSTALL_DIR +"/jettyhome"
SSM_START_JAR = SSM_JETTY_HOME +"/start.jar"
SSM_CONFIG_DIR = SSM_IA_INSTALL_DIR +"/lib/index/solr/config"
SSM_SOLR_CONF = SSM_CONFIG_DIR +"/conf"
SSM_LIB_DIR = SSM_IA_INSTALL_DIR +"/lib/index/solr/" +SSM_SOLR_REL
SSM_SOLR_JARS = SSM_LIB_DIR +"/solr-jars"
SSM_SOLR_BASE_SOLRDOTXML = SSM_CONFIG_DIR +"/solr.xml"
SSM_SOLR_BASE_SOLRSCHEMA = SSM_SOLR_CONF + "/schema.xml"
SSM_SOLR_BASE_SOLRCONFIGDOTXML = SSM_SOLR_CONF + "/solrconfig.xml"
SSM_SOLR_CORE_DATA_DIR = "dataDir"
SSM_INDEX_FILESET = "index"
SSM_INDEX_CORE_NAME = "core"
SSM_QUERY_CORE_NAME = "queryCore"
SSM_COLLECTIONSDOTXML = "/tiam_utility/config/collections.xml"
SSM_COLLECTION_DEFDOTXML = "/tiam_utility/config/collection_definitions.xml"
SSM_WLM_CONFIGDOTXML = "/tiam_utility/config/workloadmanager_config.xml"

#These are relative to the collection mount point
SSM_SOLR_INDEX_DIR_RMNT = "/" +SSM_INDEX_FILESET +"/solr"
SSM_INITSOLR_INDEX_DIR_RMNT = "/" +SSM_INDEX_FILESET +"/initializing-solr"
SSM_SOLR_CORES_DIR_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/solrCores"
SSM_INITSOLR_CORES_DIR_RMNT = SSM_INITSOLR_INDEX_DIR_RMNT +"/solrCores"
SSM_SOLR_CORES_INITNEWCORE_DIR_RMNT = SSM_SOLR_CORES_DIR_RMNT +"/initializing-newcore"
SSM_SOLR_CURRENT_COREID_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/currentcore.xml"
SSM_CDOTXML_RMNT = "/utility/config/collection.xml"
SSM_JETTY_LOGDIR_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/log/jetty"
SSM_INITSOLR_CONFIG_RMNT = SSM_INITSOLR_INDEX_DIR_RMNT +"/config"
SSM_INITSOLR_HOME_RMNT = SSM_INITSOLR_CONFIG_RMNT +"/solrHome"
SSM_INITSOLRDOTXML_RMNT = SSM_INITSOLR_HOME_RMNT +"/solr.xml"
SSM_SOLR_CONFIG_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/config"
SSM_SOLR_HOME_RMNT = SSM_SOLR_CONFIG_RMNT +"/solrHome"
SSM_SOLRDOTXML_RMNT = SSM_SOLR_HOME_RMNT +"/solr.xml"
SSM_SCHEMA_RMNT = SSM_SOLR_CONFIG_RMNT +"/conf/schema.xml"
SSM_SOLRCONFIGDOTXML_RMNT = SSM_SOLR_CONFIG_RMNT +"/conf/solrconfig.xml"
SSM_MFDOTXML_RMNT = "/utility/config/metafile.xml"

#Locking
SSM_LOCK_UPDATE_LOCK_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/updateLock"
SSM_LOCK_SOLRNOTHEALTHY_RMNT = SSM_SOLR_INDEX_DIR_RMNT +"/solrNotHealthy"
SSM_LOCK_ALREADY_LOCKED = 2
SSM_LOCK_ERROR = 3
SSM_LOCK_GOT_LOCK = 1
SSM_LOCK_RELEASED_LOCK = 4
SSM_LOCK_DIR_OSERROR = 5
SSM_LOCK_EXPIRATION_INTERVAL = 300
SSM_LOCK_WAIT_TIME = 15
SSM_LOCK_WAIT_MAX_NUM = SSM_LOCK_EXPIRATION_INTERVAL/SSM_LOCK_WAIT_TIME + 2
SSM_CREATE_SUCCESS = 0
SSM_CREATE_LOCKED = 1
SSM_CREATE_ERROR = 2
SSM_UPDATE_SUCCESS = 0
SSM_UPDATE_LOCKED = 1
SSM_UPDATE_ERROR = 2
#Element names in currentcore.xml
SSM_CC_EL_COREID = "coreid"
#Element names in collection.xml
SSM_C_EL_LOGLEVEL = "logginglevel"
SSM_C_EL_TRACELEVEL = "tracinglevel"
SSM_C_EL_COLLNAME = "name"
SSM_C_EL_INDEXLEVEL = "indexlevel"
SSM_C_EL_INDEXMODE = "indexmode"
SSM_C_EL_SOLR = "solr"
SSM_C_EL_MINERGROUPS = "archiveMinerGroups"
SSM_C_MINER_EL_GROUP = "group"
#Element name in solr schema
SSM_SCHEMA_EL_CONTENT = "_SYSTEMxc_Content_"
SSM_CS_EL_MANAGEMENTID = "managementid"
SSM_CS_EL_NAME = "name"
SSM_CS_EL_COLLECTION = "collection"
#Element names under <solr> in collection.xml
SSM_SOLR_EL_VIRTUAL_JETTYIP = "jettyip"
SSM_SOLR_EL_JETTYPORT = "jettyport"
SSM_SOLR_EL_EPOCHNUM = "epochnumber"
SSM_SOLR_EL_PRIORINDEXLEVELS = "priorindexlevels"
SSM_SOLR_EL_INDEXBROKERPORT = "indexbrokerport"
SSM_SOLR_EL_APPLYALL = "applyall"  #all docs or only new docs
SSM_SOLR_EL_MAXDOCSPERCORE = "maxdocspercore"
SSM_SOLR_EL_LANGUAGE = "language"
SSM_SOLR_EL_MAXMBFILESIZE = "maxMBfilesize"
#Possible indexing levels - translate numeric value to english
#so can use the names like "no_index" in checking level
SSM_INDEX_LEVEL = {'3': 'no_index',
                   '4': 'index_and_store_metadata_only',
                   '5': 'index_and_store_metadata_index_content',
                   '6': 'index_and_store_metadata_plus_content'}
SSM_INDEX_LEVEL_METADATAONLY = '4'
#SSMMF - SSM Metadata Fields
SSMMF_PREFIX_IN = "IN"
SSMMF_PREFIX_RM = "RM"
SSMMF_PREFIX = "_SYSTEM_"              # metafile EAs, stat GPFS system
SSMMF_PREFIX_INDEX = str("%s%s"        # indexed archive EAs 
                         %(SSMMF_PREFIX,SSMMF_PREFIX_IN)) 
SSMMF_FIELD_NAME = {
    'SSMMF_MD5':         SSMMF_PREFIX +"md5Checksum_",
    'SSMMF_MINRET':      SSMMF_PREFIX +"minimumRetention_",
    'SSMMF_EVENTDUR':    SSMMF_PREFIX +"eventDuration_",
    'SSMMF_SRVCLASS':    SSMMF_PREFIX +"serviceClass_",
    'SSMMF_RETAINED':    SSMMF_PREFIX +"retained_",
    'SSMMF_CURHOLDS':    SSMMF_PREFIX +"currentHolds_",
    'SSMMF_PATHNAME':    SSMMF_PREFIX +"pathname_",
    'SSMMF_OWNER':       SSMMF_PREFIX +"owner_",
    'SSMMF_GROUP':       SSMMF_PREFIX +"primary_group_",
    'SSMMF_FILESIZE':    SSMMF_PREFIX +"filesize_",
    'SSMMF_INODE':       SSMMF_PREFIX +"inode_number_",
    'SSMMF_GENID':       SSMMF_PREFIX +"genid_",
    'SSMMF_DOCID':       SSMMF_PREFIX_INDEX +"docid_",
    'SSMMF_COREID':      SSMMF_PREFIX_INDEX +"coreid_",
    'SSMMF_INDEXLEVEL':  SSMMF_PREFIX_INDEX +"level_",
    'SSMMF_INDEXTIME':   SSMMF_PREFIX_INDEX +"time_",
    'SSMMF_EPOCH':       SSMMF_PREFIX_INDEX +"epoch_"
    }
SSMMF_TYPE_BOOLEAN = "boolean"
SSMMF_TYPE_STRING = "string"
SSMMF_TYPE_TEXT = "text"
SSMMF_TYPE_TDATE = "tdate"
SSMMF_TYPE_INT = "int"
SSMMF_TYPE_TINT = "tint"
SSMMF_TYPE_TDOUBLE = "tdouble"
SSMMF_FIELD_TYPE = {
    'SSMMF_MD5':         SSMMF_TYPE_STRING,
    'SSMMF_MINRET':      SSMMF_TYPE_TDATE,
    'SSMMF_EVENTDUR':    SSMMF_TYPE_INT,
    'SSMMF_SRVCLASS':    SSMMF_TYPE_STRING,
    'SSMMF_RETAINED':    SSMMF_TYPE_TDATE,
    'SSMMF_CURHOLDS':    SSMMF_TYPE_STRING,
    'SSMMF_PATHNAME':    SSMMF_TYPE_STRING,
    'SSMMF_OWNER':       SSMMF_TYPE_INT,
    'SSMMF_GROUP':       SSMMF_TYPE_INT,
    'SSMMF_FILESIZE':    SSMMF_TYPE_INT,
    'SSMMF_INODE':       SSMMF_TYPE_INT,
    'SSMMF_GENID':       SSMMF_TYPE_INT,
    'SSMMF_DOCID':       SSMMF_TYPE_STRING,
    'SSMMF_COREID':      SSMMF_TYPE_INT,
    'SSMMF_INDEXLEVEL':  SSMMF_TYPE_INT,
    'SSMMF_INDEXTIME':   SSMMF_TYPE_TDATE,
    'SSMMF_EPOCH':       SSMMF_TYPE_STRING
    }
SSMMF_MAPTYPES = {'string':SSMMF_TYPE_TEXT, 'boolean':SSMMF_TYPE_BOOLEAN, 'integer':SSMMF_TYPE_TINT, 'double':SSMMF_TYPE_TDOUBLE, 'datetime':SSMMF_TYPE_TDATE}
SSMMF_EA_NAME = {
    'SSMMF_MD5':         SSMMF_PREFIX_RM +"md5sum",
    'SSMMF_EVENTDUR':    SSMMF_PREFIX_RM +"eventduration",
    'SSMMF_SRVCLASS':    SSMMF_PREFIX_RM +"mngclass",
    'SSMMF_RETAINED':    SSMMF_PREFIX_RM +"retained",
    'SSMMF_CURHOLDS':    SSMMF_PREFIX_RM +"holdpool",
    'SSMMF_TMEPOCH':     SSMMF_PREFIX_RM +"tmepoch",
    'SSMMF_TMDUR':       SSMMF_PREFIX_RM +"tmduration",
    'SSMMF_DOCID':       SSMMF_PREFIX_IN +"docid",
    'SSMMF_COREID':      SSMMF_PREFIX_IN +"coreid",
    'SSMMF_INDEXLEVEL':  SSMMF_PREFIX_IN +"level",
    'SSMMF_INDEXTIME':   SSMMF_PREFIX_IN +"time",
    'SSMMF_INDEXERROR':  SSMMF_PREFIX_IN +"error",
    'SSMMF_EPOCH':       SSMMF_PREFIX_IN +"epoch"
    }

SSM_EA_ARCHIVE_PREFIX = "archive."
SSM_EA_USER_PREFIX = "user."
SSM_GUID_CMD = SSM_IA_INSTALL_BIN +"/mw_print_unique_nodeid"
SSM_CURL_OPTS = " --connect-timeout 90 --max-time 120 "

