#! /usr/bin/env python
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Solr Server
# *
# * FILE NAME:       ssm_getStatus.py
# *
# * DESCRIPTION:     Sample query to solr server for testing
# *
# * AUTHOR:          K.W.Brannon
# *                  IBM Almaden Research Center
# *                  kbrannon@us.ibm.com
# *
# *
# ****************************************************************************
# */

#NOTE THIS IS A SCRIPT FOR TESTING

import os, sys
import getopt
from ssm_defines import *
from ssm_common  import *

PATHFIELD = "_SYSTEM_pathname_"
def usage():
    msg = "usage: " + sys.argv[0] +" -m collectionMountPoint "
    print msg
    sys.exit(1)

euid = os.geteuid()
if euid != SSM_ROOTUID:
    print "This script must be run as root"
    usage()

#Must have one argument, the collection mount point
mountpt = ""
try:
    opts, args = getopt.getopt(sys.argv[1:],"m:")
except getopt.GetoptError, err:
    print str(err)
    usage()

for opt, arg in opts:
    if opt in ("-m"):
        mountpt = arg.rstrip('/')
    else:
        msg = "unhandled option"
        print msg
        usage()

#check that mountpt is a directory
if not os.path.isdir( mountpt):
    msg = "collectionMountPoint must be a fully qualified directory"
    print msg
    usage()

cdotxml = mountpt +SSM_CDOTXML_RMNT
parsed_cdotxml = ssm_nl_parse_xmlfile(cdotxml)
jettyip = ssm_nl_get_jettyipname(parsed_cdotxml, cdotxml)
jettyport = ssm_nl_get_jettyport(parsed_cdotxml, cdotxml)

#This query searches for all indexed files under the mountpoint
#And returns the first 10 pathnames
cmd = 'curl "http://' +jettyip +':' +jettyport +'/solr/queryCore/select?indent=on&q=' +PATHFIELD +':' +mountpt +'/data/*' +'&start=0&rows=10&fl=' +PATHFIELD +'&qt=distributed"'
print "cmd is: " +cmd
os.system(cmd)

