#!/bin/sh
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Workload Manager
# *
# * FILE NAME:       wd_printstaticnodelist.sh
# *
# * DESCRIPTION:     Prints the all nodes defined as members 
# *                  of the GPFS cluster.
# *
# * AUTHOR:          Michael A. Richmond
# *                  IBM Almaden Research Center
# *                  mar@almaden.ibm.com
# *
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#               Change Log
#               ----------
#  11 Mar 2008  Initial version.
#
#  21 Jul 2009  Updated to return exit code obtained from mmgetstate
#               command.
#

# Configure shell variables
. `dirname $BASH_SOURCE`/mw_environment.sh

MMLSCLUSTER="/usr/lpp/mmfs/bin/mmlscluster"

if [ ! -x "${MMLSCLUSTER}" ]; then
	echo "${MMLSCLUSTER} not installed"
	exit 1
fi

mmlscluster_output=`${MMLSCLUSTER}`
mmlscluster_result_code=$?

if [ ${mmlscluster_result_code} != 0 ]; then
    echo "${mmlscluster_output}"
    exit ${mmlscluster_result_code}
fi

echo "${mmlscluster_output}" | grep '^[ ]*[0-9]\{1,2\}' | tr -s ' '

exit ${mmlscluster_result_code}
