#!/bin/sh
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Workload Manager
# *
# * FILE NAME:       wlm_controlerrors.sh
# *
# * DESCRIPTION:     Defines error flags that are shared by wlm_control*
# *                  scripts.
# *                  This script is not intended to be executed
# *                  from the command line.
# *
# * AUTHOR:          Mark A. Smith
# *                  IBM Almaden Research Center
# *                  mark1smi@us.ibm.com
# *  
# *                  Michael A. Richmond
# *                  IBM Almaden Research Center
# *                  mar@almaden.ibm.com
# *
# ****************************************************************************
# */

if [ `basename $0` = "wlm_controlerrors.sh" ]; then
    script_name=`basename $0`
    echo "error: The script '$script_name' is not intended to be executed"
    echo "       directly on the command line. This script only provides" 
    echo "       functions common to other IIA scripts."
    exit 127
fi

ERR_SUCCESS=0
ERR_FILE_DOES_NOT_EXIST=1
ERR_FILE_NOT_EXECUTABLE=2
ERR_PROCESS_IS_RUNNING=3
ERR_PROCESS_MULTIPLE_RUNNING=4
ERR_PROCESS_NOT_RUNNING=5
ERR_PROCESS_NOT_HEALTHY=6
ERR_PROCESS_FAILED_TO_DIE=7
ERR_COLLECTION_NOT_MOUNTED=8
ERR_COLLECTION_NOT_BEING_AUDITED=9
ERR_BAD_PROBLEM=127

