#!/bin/sh
########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Workload Manager
# *
# * FILE NAME:       wlm_countcollections.sh
# *
# * DESCRIPTION:     Counts the number of defined collections in the cluster
# *
# * AUTHOR:          Mark A. Smith
# *                  IBM Almaden Research Center
# *                  mark1smi@us.ibm.com
# *
# ****************************************************************************
# */

# Requires one argument.
# The first argument is the GUI-maintained XML collectionsfile.

# Configure shell variables
. `dirname $BASH_SOURCE`/mw_environment.sh

[ $1 ] || exit -1
COLLECTIONS_FILE=$1

echo "ls collections" | xmllint --shell $COLLECTIONS_FILE > /dev/null 2>&1
if [ $? = "1" ]; then
	#invalid parse
	exit -1
fi

NUM_COLLECTIONS=`echo "ls collections" | xmllint --shell $COLLECTIONS_FILE | grep mount | wc -l`

echo $NUM_COLLECTIONS

exit 0
