#!/usr/bin/env python
#
# xferMCFiles.py
#
# Liming (Michael) Yu -- 10/17/2008
#
# The purpose of scp_mctarfiles_to_node is to securely copy over all of the
# backed up mctarfiles on the management console to the node's tiam_utility
# GPFS filesystem.
#
# This is a node-based script.
#
# Parameters:
# 1) none 

import commands
import os
import time
import sys
import string

def grabFiles():
   logMessageTemplate = "%y:%m:%d:%H:%M:%S xferMCfiles:"

   logTime = time.localtime(time.time())
   logMessage = logMessageTemplate + " enter script\n"
   logMessage = time.strftime(logMessage, logTime)

   logfile = open('/tiam_utility/iamrecovery.log', 'a')
   logfile.write(logMessage)

   mcHostName = "iamconsole1"

   cmd = "scp root@" + mcHostName + ":/opt/tivoli/tiam/bin/mc_tarfiles/* /tiam_utility/backup/console/ 1>/dev/null"
   retVal = os.system(cmd)
   output = commands.getoutput(cmd)
   
   if retVal != 0:
     logTime = time.localtime(time.time())
     logMessage = logMessageTemplate + " \"" + cmd + "\" returned with error code " + str(retVal) + " with the following output:\n" + output + "\n"
     logMessage = time.strftime(logMessage, logTime)
     logfile.write(logMessage)
     logTime = time.localtime(time.time())
     logMessage = logMessageTemplate + " either " + mcHostName + " is incorrect, or " + mcHostName + ":/opt/tivoli/tiam/bin/mc_tarfiles is invalid, or /tiam_utility is invalid\n"
     logMessage = time.strftime(logMessage, logTime)
     logfile.write(logMessage)

     logTime = time.localtime(time.time())

   logMessage = logMessageTemplate + " exit script\n\n"
   logMessage = time.strftime(logMessage, logTime)
   logfile.write(logMessage)
   logfile.close()
   return 0;
 
def putFilesBack():
   logMessageTemplate = "%y:%m:%d:%H:%M:%S xferMCfiles:"

   logTime = time.localtime(time.time())
   logMessage = logMessageTemplate + " enter script\n"
   logMessage = time.strftime(logMessage, logTime)

   logfile = open('/tiam_utility/iamrecovery.log', 'a')
   logfile.write(logMessage)

   mcHostName = "iamconsole1"

   cmd = "scp /tiam_utility/backup/console/mcconfig* root@" + mcHostName + ":/tmp/ 1>/dev/null"
   retVal = os.system(cmd)
   output = commands.getoutput(cmd)
   
   if retVal != 0:
     logTime = time.localtime(time.time())
     logMessage = logMessageTemplate + " \"" + cmd + "\" returned with error code " + str(retVal) + " with the following output:\n" + output + "\n"
     logMessage = time.strftime(logMessage, logTime)
     logfile.write(logMessage)
     logTime = time.localtime(time.time())
     logMessage = logMessageTemplate + " either " + mcHostName + " is incorrect, or " + mcHostName + ":/opt/tivoli/tiam/bin/mc_tarfiles is invalid, or /tiam_utility is invalid\n"
     logMessage = time.strftime(logMessage, logTime)
     logfile.write(logMessage)

     logTime = time.localtime(time.time())

   logMessage = logMessageTemplate + " exit script\n\n"
   logMessage = time.strftime(logMessage, logTime)
   logfile.write(logMessage)
   logfile.close()
   return 0;

def isMasterGPFSNode():
    iAm = commands.getoutput("hostname")
    iAm = iAm.strip()
    
    pri = commands.getoutput("/usr/lpp/mmfs/bin/mmlscluster |grep -i primary | cut -d: -f2")
    pri = pri.strip()
    sec = commands.getoutput("/usr/lpp/mmfs/bin/mmlscluster |grep -i secondary | cut -d: -f2")
    sec = sec.strip()

    if iAm == pri:
      active = commands.getoutput("/usr/lpp/mmfs/bin/mmgetstate |grep -i active")
      if len(active) == 0:
        return False
      else:
        return True
    elif iAm == sec:
      active = commands.getoutput("/usr/lpp/mmfs/bin/mmgetstate -N " + pri + " |grep -i active")

      if len(active) == 0:
        return True
      else:
        return False
    else:
      return False
