#!/usr/bin/python
#/****************************************************************************
# * COMPONENT NAME:  IA Log Manager
# *
# * FILE NAME:       el_msgs.py
# *
# * DESCRIPTION:     Contains the log messages for IA Log Manager
# *
# * AUTHOR:          Liming (Michael) Yu
# *                  IBM Tivoli
# *                  yul@us.ibm.com
# *
# * IBM CONFIDENTIAL -- (IBM Confidential Restricted when
# * combined with the aggregated modules for this product)
# * OBJECT CODE ONLY SOURCE MATERIALS
# *
# * (C) COPYRIGHT International Business Machines Corp. 2008
# * All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# ****************************************************************************
# */

IAbasepath = "/opt/tivoli/tiam"
IAlibpath  = IAbasepath + "/lib"

import sys

if IAlibpath not in sys.path:
    sys.path.append(IAlibpath)

import iamiddleware.ialogging

INFO    = iamiddleware.ialogging.INFO
WARNING = iamiddleware.ialogging.WARNING
ERROR   = iamiddleware.ialogging.ERROR

messagetuples = dict()

messagetuples[9000] = (9000, INFO, """el_sanitize_raw_log.py has started...""")
messagetuples[9001] = (9001, INFO, """Starting the parser...""")
messagetuples[9002] = (9002, INFO, """Processing '%s'...""")
messagetuples[9003] = (9003, INFO, """Ending the parser...""")
messagetuples[9004] = (9004, INFO, """...el_sanitize_raw_log.py has finished""")

messagetuples[9005] = (9005, INFO, """Creating backup of '%s' to '%s'""")
messagetuples[9006] = (9006, ERROR, """'%s' could not be opened""")
messagetuples[9007] = (9007, ERROR, """Error parsing line %d in '%s'""")
messagetuples[9008] = (9008, ERROR, """Unknown sequence '%s' on line number %d in '%s'""")

messagetuples[9009] = (9009, INFO, """LOGGINGLEVEL=%s""")
messagetuples[9010] = (9010, INFO, """TRACINGLEVEL=%s""")
messagetuples[9011] = (9011, INFO, """debug=%s""")
messagetuples[9012] = (9012, INFO, """collection_mount=%s""")
messagetuples[9013] = (9013, INFO, """output_file=%s""")
messagetuples[9014] = (9014, INFO, """raw_log=%s""")

messagetuples[9015] = (9015, ERROR, """Error in processing the main function""")
messagetuples[9016] = (9016, ERROR, """See error log '%s' for debugging purposes""")

messagetuples[9017] = (9017, WARNING, """Unknown arch %s, assuming x86_64""")
messagetuples[9018] = (9018, ERROR, """Entry for syscall %s with sequence number '%s' looks like it will never complete. The current line number is %s and the last time we saw anything for this sequence number was on line %s. We've only seen %s of %s expected raw log entries. Abandoning.""")
messagetuples[9019] = (9019, ERROR, """Error %d (%s) removing %s.""")
messagetuples[9020] = (9020, INFO, """Entry for syscall %s with sequence number '%s' taken from the limbo log looks like it will never complete. We've only seen %s of %s expected raw log entries. Abandoning.""")
