########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# ----------------------------------------------------------------------------
# $Revision: $ $Date: $ $Author: $
# ----------------------------------------------------------------------------
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Workload Manager
# *
# * FILE NAME:       iamiddleware/externalcommand.py
# *
# * DESCRIPTION:     Library routines used by IA Middleware 
# *                  components.
# *
# * AUTHOR:          Michael A. Richmond
# *                  IBM Almaden Research Center
# *                  mar@almaden.ibm.com
# *
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#              Change Log
#              ----------
# 10 Oct 2008  Initial version. (Refactored out of earlier wlm_watchdog code.)
#
# 04 Dec 2008  Code moved into iamiddleware package.
#

import  commands
import  os
import  sys

def issue_external_command( cmd, cmdoutput, logger=None ):
    """ Function to issue an external command, return rc and 
        optionally any output messages.
    """
    if logger is not None:
        logger.TraceFunctionEntry()

    if logger is not None:
        logger.TraceMsg("Issuing external command: %s" % cmd)
    else:
        print "Issuing external command: '%s'" % cmd

    msgs = ""
    status, msgs = commands.getstatusoutput( cmd )
    
    if os.WIFEXITED(status):
        rc = os.WEXITSTATUS(status)
    else:
        rc = status
    
    if rc != 0:
        if logger is None:
            print "External command returned non-zero result code. Result was '%d'. Command was '%s'" % (rc, cmd) 
        
    if cmdoutput:
        if logger is not None:
            logger.TraceFunctionExit()
        return rc, msgs
    else:
        if logger is not None:
            logger.TraceFunctionExit()
        return rc
