########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# ----------------------------------------------------------------------------
# $Revision: $ $Date: $ $Author: $
# ----------------------------------------------------------------------------
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Watchdog
# *
# * FILE NAME:       watchdog/healthchecks/healthcheck_allgpfsfilesystemsmounted_messages.py
# *
# * DESCRIPTION:     Messages used by the gpfs filesystems healthcheck 
# *                  implementation for IA Middleware Watchdog.
# *
# * AUTHOR:          Liming (Michael) Yu
# *                  IBM Tivoli
# *                  yul@us.ibm.com 
# *
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#              Change Log
#              ----------
# 18 May 2009  Initial version.
#
# 28 May 2009  Logging output from command
#

iamInstallBase        = '/opt/tivoli/tiam'
iamiddlewarePythonLib = '%s/lib' % iamInstallBase

import  sys

if iamiddlewarePythonLib not in sys.path:
    sys.path.append(iamiddlewarePythonLib)

import  watchdog.healthcheck

INFO      = watchdog.healthcheck.INFO
WARNING   = watchdog.healthcheck.WARNING
ERROR     = watchdog.healthcheck.ERROR

format = dict()
format[6325] = ( 6325, WARNING, """Neighbor node '%s' (%s) does not have all gpfs filesystems mounted""" )
format[6326] = ( 6326, INFO,    """Remote check for all gpfs filesystems mounted command :: %s""" )
format[6327] = ( 6327, INFO,    """Remote check for all gpfs filesystems mounted command result :: rc=%d, %s""" )
