########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# ----------------------------------------------------------------------------
# $Revision: $ $Date: $ $Author: $
# ----------------------------------------------------------------------------
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Watchdog
# *
# * FILE NAME:       watchdog/healthchecks/healthcheck_controlscripts_messages.py
# *
# * DESCRIPTION:     Messages used by the controlscripts healthcheck implementation for 
# *                  IA Middleware Watchdog.
# *
# * AUTHOR:          Liming (Michael) Yu
# *                  IBM Tivoli
# *                  yul@us.ibm.com
# *
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#              Change Log
#              ----------
# 07 May 2009  Initial version.
#
# 24 Aug 2010  Message 6323 - added pstree output
#

iamInstallBase        = '/opt/tivoli/tiam'
iamiddlewarePythonLib = '%s/lib' % iamInstallBase

import  sys

if iamiddlewarePythonLib not in sys.path:
    sys.path.append(iamiddlewarePythonLib)

import  watchdog.healthcheck

INFO      = watchdog.healthcheck.INFO
WARNING   = watchdog.healthcheck.WARNING
ERROR     = watchdog.healthcheck.ERROR

format = dict()
format[6320] = ( 6320, WARNING, """Neighbor node '%s' (%s) has at least one controlscript running longer than the ControlScriptMaxRunTime""" )
format[6321] = ( 6321, INFO,    """Remote check for controlscripts command :: %s""" )
format[6322] = ( 6322, INFO,    """Remote check for controlscripts command result :: rc=%d, controlscriptName='%s', collectionMountpoint='%s', pid=%s, elapsedtime=%s seconds""" )
format[6323] = ( 6323, ERROR,   """'%s' has been running for %s seconds.  It can not run for more than %s seconds.  Pstree output: \"%s\"""" )
format[6324] = ( 6324, INFO,    """Remote check for controlscripts command result output :: %s""")
