########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# ----------------------------------------------------------------------------
# $Revision: $ $Date: $ $Author: $
# ----------------------------------------------------------------------------
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Watchdog
# *
# * FILE NAME:       watchdog/healthchecks/healthcheck_iabackup_messages.py
# *
# * DESCRIPTION:     Messages used by the iabackup healthcheck 
# *                  implementation for IA Middleware Watchdog.
# *
# * AUTHORS:         Michael A. Richmond
# *                  IBM Almaden Research Center
# *                  mar@almaden.ibm.com
# *
# *                  Bryan Freeman
# *                  IBM Tivoli
# *                  freemabr@us.ibm.com
# * 
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#              Change Log
#              ----------
# 03 Aug 2009  Initial version.
#
#

iamInstallBase        = '/opt/tivoli/tiam'
iamiddlewarePythonLib = '%s/lib' % iamInstallBase

import  sys

if iamiddlewarePythonLib not in sys.path:
    sys.path.append(iamiddlewarePythonLib)

import  watchdog.healthcheck

INFO      = watchdog.healthcheck.INFO
WARNING   = watchdog.healthcheck.WARNING
ERROR     = watchdog.healthcheck.ERROR

format = dict()
format[6328] = ( 6328, WARNING, """IABackup health-check encountered an error while checking node '%s' (%s).""" )
format[6329] = ( 6329, ERROR,   """Unable to find node structure for node '%s'""" )
format[6330] = ( 6330, INFO,    """Monitor IABackup command result :: rc=%d, %s""" )
