########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2008
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# ----------------------------------------------------------------------------
# $Revision: $ $Date: $ $Author: $
# ----------------------------------------------------------------------------
#/****************************************************************************
# * COMPONENT NAME:  IA Middleware Watchdog
# *
# * FILE NAME:       watchdog/healthchecks/healthcheck_managecollections_messages.py
# *
# * DESCRIPTION:     Messages used by the managecollections healthcheck 
# *                  implementation for IA Middleware Watchdog.
# *
# * AUTHOR:          Michael A. Richmond
# *                  IBM Almaden Research Center
# *                  mar@almaden.ibm.com
# *
# ****************************************************************************
# */
# ----------------------------------------------------------------------------
# ----------------------------------------------------------------------------
#              Change Log
#              ----------
# 08 Dec 2008  Initial version. (Values moved from watchdog/logmessages.py)
#
# 16 Jan 2009  Re-formatted message array to be an array of message tuples.
#              Each message tuple contains the message type and the message
#              format string.
#
# 28 May 2009  Logging output from command
#

iamInstallBase        = '/opt/tivoli/tiam'
iamiddlewarePythonLib = '%s/lib' % iamInstallBase

import  sys

if iamiddlewarePythonLib not in sys.path:
    sys.path.append(iamiddlewarePythonLib)

import  watchdog.healthcheck

INFO      = watchdog.healthcheck.INFO
WARNING   = watchdog.healthcheck.WARNING
ERROR     = watchdog.healthcheck.ERROR

format = dict()
format[6306] = ( 6306, WARNING, """Neighbor node '%s' (%s) does not have manage_collections process running""" )
format[6307] = ( 6307, WARNING, """Workload manager status command result :: rc=%d, %s""" )
format[6308] = ( 6308, ERROR,   """Unable to find status information for node '%s'""" )
format[6309] = ( 6309, INFO,    """The manage_collections process on node %s is not healthy (after %s attempts to check the health)""" )
format[6310] = ( 6310, INFO,    """manage_collections health improvement command on node '%s' produced exit code '%d' and result '%s'""" )
