#!/bin/sh

MMSDRQUERY="/usr/lpp/mmfs/bin/mmsdrquery"
logPath="/opt/log/CTJID/mmfs"

IIAExit_mw_mmfsup_log="$logPath/IIAExit_mw_mmfsup"
IIAExit_mw_mmfsup_log_rotated="$logPath/IIAExit_mw_mmfsup.rotated"

mkdir -p $logPath

tail -n 65536 $IIAExit_mw_mmfsup_log > $IIAExit_mw_mmfsup_log_rotated
mv $IIAExit_mw_mmfsup_log_rotated $IIAExit_mw_mmfsup_log

/bin/echo `/bin/date` ": mmfsup reported." >> $IIAExit_mw_mmfsup_log

this_node=`hostname`

if [ "$this_node" == "" ]; then
	/bin/echo `/bin/date` ": Unable to determine which node I am!" >> $IIAExit_mw_mmfsup_log
	exit -1
fi

cnfs_state=`$MMSDRQUERY sdrq_node_info sdrq_cnfs_state $this_node`
cnfs_retval=$?

if [ $cnfs_retval -ne 0 ]; then
	/bin/echo `/bin/date` ": $MMSDRQUERY returned error $cnfs_retval and string '$cnfs_state'" >> $IIAExit_mw_mmfsup_log
	exit -1
fi

enabled_string=`echo $cnfs_state | grep "enabled"`
enabled_retval=$?

if [ $enabled_retval -eq 0 ]; then
	/bin/echo `/bin/date` ": CNFS enabled. Not startart middleware." >> $IIAExit_mw_mmfsup_log
else
	/bin/echo `/bin/date` ": CNFS disabled. Starting middleware." >> $IIAExit_mw_mmfsup_log
	/var/mmfs/etc/IIAExit_mw_start.sh
fi

exit 0
