#! /bin/bash

########################################################## {COPYRIGHT-TOP} ###
# Licensed Materials - Property of IBM
# IBM Information Archive (IIA)
#
# Copyright IBM Corporation 2009
#
# All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corporation.
########################################################## {COPYRIGHT-END} ###

# Read the common code file
. `dirname $BASH_SOURCE`/IIAExit_mw_common.sh

upgradeNotificationFile="/opt/tivoli/tiam/var/upgradeInProgress"
logPath="/opt/log/CTJID/mmfs"

IIAExit_mw_start_log="$logPath/IIAExit_mw_start"
IIAExit_mw_start_log_rotated="$logPath/IAExit_mw_start.rotated"

upgradeInProgressLog="$logPath/IIAExitScript_mw_upgrade_in_progress"
upgradeInProgressLog_rotated="$logPath/IIAExitScript_mw_upgrade_in_progress.rotated"

mkdir -p $logPath

check_file_exists $upgradeNotificationFile
b_exists=$?
if [ "$b_exists" == 1 ]; then
    tail -n 65536 $upgradeInProgressLog > $upgradeInProgressLog_rotated
    mv $upgradeInProgressLog_rotated $upgradeInProgressLog

    /bin/echo `/bin/date` ": Upgrade in progress. Not starting middleware." >> $upgradeInProgressLog

    exit 0
fi

tail -n 65536 $IIAExit_mw_start_log > $IIAExit_mw_start_log_rotated
mv $IIAExit_mw_start_log_rotated $IIAExit_mw_start_log

unmounted_string=`/opt/tivoli/tiam/bin/mw_check_fs_mounted.sh /tiam_utility`
all_mounted_success=$?
if [ $all_mounted_success -eq 0 ]; then
    /bin/echo `/bin/date` ": Starting IA Middleware." >> $IIAExit_mw_start_log
    /opt/tivoli/tiam/bin/ia_controlmiddleware.sh -start
    /bin/echo `/bin/date` ": IA Middleware Startup Complete." >> $IIAExit_mw_start_log
else
    /bin/echo `/bin/date` "Unable to start IA Middleware. Filesystems not ready: '" $unmounted_string "'" >> $IIAExit_mw_start_log
fi
